<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"

      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <h:head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <title>Melhor Preço</title>
        <link href="simpleGridTemplate.css" rel="stylesheet" type="text/css"/>

        <h:outputStylesheet library="css" name="style.css"  />
        <h:outputStylesheet library="css" name="simpleGridTemplate.css"  />
        <h:outputScript library="js" name="script.js" />

    </h:head>


    <h:body>
        <!-- Main Container -->
        <div class="container"> 
            <!-- Header -->
            <header class="header">
                <h4 class="logo">Melhor Preço</h4>
            </header>


            <p><dd><li><a href="../home.xhtml">HOME</a></li></dd></p>



            <h:form>

                <h:inputHidden value="#{produtoBean.produto.codigo}" />
                <h1>Faça o cadastro do produto aqui</h1>

                <h3>Preencha os campos pedidos</h3>
                <h:panelGrid columns="2">

                    <p:outputLabel value="Codigo do Produto:" for="codigodoproduto"  /> 
                    <p:inputText id="codigodoproduto" value="#{produtoBean.produto.codigoProduto}" />

                    <p:outputLabel value="Descrição:" for="descrição"  /> 
                    <p:inputText id="descrição" value="#{produtoBean.produto.descricao}" />


                    <p:outputLabel value="Marca:" for="marca"  /> 
                    <p:inputText id="marca" value="#{produtoBean.produto.marca}" />






                    <p:outputLabel     for="validade" value="Validade" />
                    <p:calendar id="validade" value="#{produtoBean.produto.validade}"
                                required="true" requiredMessage="Campo validade é obrigatorio!" />









                </h:panelGrid>

                <p:commandButton value="Salvar" action="#{produtoBean.salvar}" />


            </h:form>



        </div>

    </h:body>








</html>
